/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSStyleDeclaration_H___INT_
#define __GdomCSSStyleDeclaration_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "CSSStyleDeclaration.h"
namespace WebCore {
    gpointer toGDOM(CSSStyleDeclaration* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMCSSStyleDeclaration : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_STYLE_DECLARATION; }
    GDOMCSSStyleDeclaration(PassRefPtr<WebCore::CSSStyleDeclaration> impl);
    virtual ~GDOMCSSStyleDeclaration();
    WebCore::CSSStyleDeclaration* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::CSSStyleDeclaration> m_impl;
};
G_END_DECLS

#endif /* __GdomCSSStyleDeclaration_H___INT_*/
